<?php
// $Id: page.tpl.php,v 1.18.2.1 2009/04/30 00:13:31 goba Exp $
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language->language ?>" lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">
  <head>
    <?php print $head ?>
    <title><?php print $head_title ?></title>
    <?php print $styles ?>
    <?php print $scripts ?>
    <!--[if IE]>
      <?php print phptemplate_get_ie_styles(); ?>
    <![endif]-->
    
    <!--[if IE 7]>
      <?php print phptemplate_get_ie7_styles(); ?>
    <![endif]-->
  </head>
  <body<?php print phptemplate_body_class($left, $right); ?>>
<!-- Layout -->
  <div id="header-region" class="clear-block"><?php print $header; ?></div>
    <div id="content-slider">
      	<?php print $top_right ?>
      	<?php if ($user->uid) { print "<div id='logged-user-panel'> <a href='".url('user/'.$user->uid)."'>[Settings]</a> <a href='".url('logout')."'>[Logout]</a></div>"; } ?>
    </div> 
  
    <div id="squeeze_logo" style="margin-left: 0px; margin-right: 0px; border-bottom: #CCCCCC; border-bottom-style: solid; border-bottom-width: 3px;">
    <div id="logo_center"> <!-- style="margin-top: -10px; padding-right: 20px; margin-left: auto; max-width: 1270px; margin-right: auto;" -->
    	<div id="logo_indent"> <!-- style="margin-left:auto; max-width:850px; margin-right: 230px;  padding-right: 20px;" -->
    		<table style="border-collapse: separate;">
        <?php
          // Prepare header
            print '<tr><td style="padding-bottom: 25px; width: 206px;"><a href="'. check_url($front_page) .'" title="'. $site_title .'">';
            print '<img src="'. check_url($logo) .'" alt="'. $site_title .'" id="logo" />';
            print $site_html .'</a></td><td style="text-align:center">';
            print '<img src="'. 'http://'.$_SERVER['HTTP_HOST'].base_path() . $GLOBALS['theme_path'] .'/gi2mo_ideastream_slogan.gif" alt="'. $site_title .'" id="slogan" />';
            print '</td>';
        ?>
        	</table>
        </div>
    </div>
    </div>
    <div id="wrapper">
    <div id="container" class="clear-block">

	  <div id="create-idea">
	  	<?php if (user_is_logged_in()): ?>
	  	<a href="<?php print'http://'.$_SERVER['HTTP_HOST'].base_path(); ?>node/add/idea"><img src="<?php print'http://'.$_SERVER['HTTP_HOST'].base_path().$directory; ?>/images/idea_bulb_medium.png" border="0"/></a><span id="create-idea-text"><?php print ''.l('Create New Idea','node/add/idea'); ?></span>
	  	<?php else: 
      		//fetch nid for login page
      		$states=null;
      		if (module_exists('ideastream')) {
      		$result = db_query("SELECT workflow_states.sid, workflow_states.state FROM {workflow_states} JOIN {workflows} ON workflow_states.wid=workflows.wid WHERE workflows.name='Idea Status'");
			while ($data = db_fetch_object($result)) {
			   $states[$data->state]= $data->sid;
			}
			}

	  	?>
	  	<a href="<?php print'http://'.$_SERVER['HTTP_HOST'].base_path(); ?>node/add/idea"><img src="<?php print'http://'.$_SERVER['HTTP_HOST'].base_path().$directory; ?>/images/idea_bulb_medium.png" border="0"/></a><span id="create-idea-text"><?php print ''.l('Create New Idea','node/add/idea'); ?></span>
	  	<?php endif; ?>	  	
	  </div>
    
      <div id="squeeze_filter_bar">
      <?php 
      		//fetch state ids for creating links
      		$states=null;
      		$states_contest=null;
      		if (module_exists('ideastream')) {
      		$result = db_query("SELECT workflow_states.sid, workflow_states.state, workflows.name FROM {workflow_states} JOIN {workflows} ON workflow_states.wid=workflows.wid WHERE workflows.name='Idea Status' OR workflows.name='Idea Contest Status'");
			while ($data = db_fetch_object($result)) {
			   if ($data->name == 'Idea Status') $states[$data->state]= $data->sid;
			   else
			   	$states_contest[$data->state]= $data->sid;
			}
			}
			//check which state is currently selected (via Views Arguments)
			//idea states
			$selected_state['Draft']=0;
			$selected_state['Under Review']=0;
			$selected_state['Already Exists']=0;
			$selected_state['Accepted']=0;
			$selected_state['Accepted']=0;
			$selected_state['Rejected']=0;
			$selected_state['Implemented']=0;
			$selected_state['All']=0;
			//contest states
			$selected_state['Active']=0;
			$selected_state['Pending Reviews']=0;
			$selected_state['Closed']=0;
			//browse filter
			$selected_state['Ideas'] = 0;
			$selected_state['Contests'] = 0;
			switch ($variables['template_files'][1]) {
				// idea status filtering
				case 'page-front': 
									$selected_state['All']=1;
									$selected_state['Ideas']=1;
								 	break;
				case 'page-home-'.$states['Draft']: 
									$selected_state['Draft']=1;
									$selected_state['Ideas']=1;
								 	break;
				case 'page-home-'.$states['Under Review']: 
									$selected_state['Under Review']=1;
									$selected_state['Ideas']=1;
								 	break;
				case 'page-home-'.$states['Already Exists']: 
									$selected_state['Already Exists']=1;
									$selected_state['Ideas']=1;
								 	break;
				case 'page-home-'.$states['Accepted']: 
									$selected_state['Accepted']=1;
									$selected_state['Ideas']=1;
								 	break;
				case 'page-home-'.$states['Rejected']: 
									$selected_state['Rejected']=1;
									$selected_state['Ideas']=1;
								 	break;
				case 'page-home-'.$states['Implemented']: 
									$selected_state['Implemented']=1;
									$selected_state['Ideas']=1;
								 	break;
				// idea contests status filtering
				case 'page-contests-all': 
									$selected_state['All']=1;
									$selected_state['Contests']=1;
								 	break;
				case 'page-contests-'.$states_contest['Active']: 
									$selected_state['Active']=1;
									$selected_state['Contests']=1;
								 	break;
				case 'page-contests-'.$states_contest['Pending Reviews']: 
									$selected_state['Pending Reviews']=1;
									$selected_state['Contests']=1;
								 	break;
				case 'page-contests-'.$states_contest['Closed']: 
									$selected_state['Closed']=1;
									$selected_state['Contests']=1;
								 	break;								 
				default:
									//if ($node->type!='idea' && $node->type!='contest' && $node->type!='review') $selected_state['All']=1;  //dont set if its not the frontpage
								 	break;
			}
			//print 'All:'.$selected_state['All'].' Draft:'.$selected_state['Draft'].' Accepted:'.$selected_state['Accepted'].' Rejected:'.$selected_state['Rejected'].' Implemented:'.$selected_state['Implemented'] ;
 	  ?>
      <div class="filter_ideas_header"><span class="filter_ideas_header_title">Browse:&nbsp</span> <a id="all-ideas-<?php print $selected_state['Ideas']; ?>" href="<?php print url('home'); ?>">IDEAS</a> | <a id="all-ideas-<?php print $selected_state['Contests']; ?>" href="<?php print url('contests/all'); ?>">IDEA CONTESTS</a><span id="search_box"><?php print $content_top ?></span></div>
      </div>
      <div id="container" class="clear-block">
      	<div id="squeeze_filter_bar2">
      		<?php if ($selected_state['Contests']==1) : ?>
	  		<div class="filter_ideas_header"><span class="filter_ideas_header_title">Filter Status:</span> <a id="all-ideas-<?php print $selected_state['All']; ?>" href="<?php print url('contests/all'); ?>">ALL</a> | <a id="all-ideas-<?php print $selected_state['Active']; ?>" href="<?php print url('contests/'.$states_contest['Active']); ?>">ACTIVE</a> | <a id="all-ideas-<?php print $selected_state['Pending Reviews']; ?>" href="<?php print url('contests/'.$states_contest['Pending Reviews']); ?>">PENDING REVIEW</a> | <a id="all-ideas-<?php print $selected_state['Closed']; ?>" href="<?php print url('contests/'.$states_contest['Closed']); ?>">CLOSED</a></div>
	  	    <?php else: ?>
	  		<div class="filter_ideas_header"><span class="filter_ideas_header_title">Filter Status:</span> <a id="all-ideas-<?php print $selected_state['All']; ?>" href="<?php print url('home'); ?>">ALL</a> | <a id="all-ideas-<?php print $selected_state['Draft']; ?>" href="<?php print url('home/'.$states['Draft']); ?>">DRAFT</a> | <a id="all-ideas-<?php print $selected_state['Under Review']; ?>" href="<?php print url('home/'.$states['Under Review']); ?>">UNDER REVIEW</a> | <a id="all-ideas-<?php print $selected_state['Already Exists']; ?>" href="<?php print url('home/'.$states['Already Exists']); ?>">EXISTS</a> | <a id="all-ideas-<?php print $selected_state['Accepted']; ?>" href="<?php print url('home/'.$states['Accepted']); ?>">ACCEPTED</a> | <a id="all-ideas-<?php print $selected_state['Rejected']; ?>" href="<?php print url('home/'.$states['Rejected']); ?>">REJECTED</a> | <a id="all-ideas-<?php print $selected_state['Implemented']; ?>" href="<?php print url('home/'.$states['Implemented']); ?>">IMPLEMENTED</a></div>
	  	    <?php endif; ?>
      	</div>
      </div>
<!-- ssssseeee -->      

      <?php if ($left): ?>
        <div id="sidebar-left" class="sidebar"> 
          <!-- <?php if ($search_box): ?><div class="block block-theme"><?php print $search_box ?></div><?php endif; ?> -->
          <?php print $left ?>
	    </div>          
      <?php endif; ?>
      
      <div id="center"><div id="squeeze"> <!-- <div class="right-corner"><div class="left-corner"> -->
          <!-- <?php print $breadcrumb; ?> -->
          <?php if ($node->type!='review' || ($node->type=='review' && (in_array("admin",$user->roles) || in_array("manager",$user->roles) || in_array("moderator",$user->roles) || in_array("reviewer",$user->roles))) ): //display review only if user has a role ?>
          
          <?php if ($mission): print '<div id="mission">'. $mission .'</div>'; endif; ?>
          <?php if ($tabs): print '<div id="tabs-wrapper" class="clear-block">'; endif; ?>
          <?php if (!$user->uid && $title == 'Access denied' && arg(1)=='add' && arg(2)=='idea'): ?>
          	<?php print '<h2'. ($tabs ? ' class="with-tabs"' : '') .'>'. 'Please login or register in order to post new ideas!' .'</h2>'; ?>
          <?php else: ?>
          	<?php if ($title && $node->type!='idea' && $node->type!='review' && $node->type!='contest'): print '<h2'. ($tabs ? ' class="with-tabs"' : '') .'>'. $title .'</h2>'; endif; ?>
          <?php endif; ?>
          <?php if ($tabs): print '<ul class="tabs primary">'. $tabs .'</ul></div>'; endif; ?>
          <?php if ($tabs2): print '<ul class="tabs secondary">'. $tabs2 .'</ul>'; endif; ?>
          <?php if ($show_messages && $messages): print $messages; endif; ?> 
          <?php print $help; ?>
          <div class="clear-block">
          <?php if (!$user->uid && $title == 'Access denied' && arg(1)=='add' && arg(2)=='idea'): ?>
			<br/>
			<p>Welcome to Gi2MO <span style='color: #1f608d; font-weight: bold;'>Idea Stream</span>.</p>
			In order to post a new idea please <a href="<?php print url('user'); ?>">log in</a>. In case you do not have an account yet please proceed with the <a 				href="<?php print url('user/register'); ?>">registration</a>. 

          <?php else: ?>
            <?php print $content ?>
          <?php endif; ?>
          </div>
          
          <?php else: ?>
          Content not found
          <?php endif; ?>
          
          <?php print $feed_icons ?>
          <?php print $content_bottom ?>
          <div id="footer"><?php print $footer_message . $footer ?></div>
      <!-- </div></div> --> </div></div> <!-- /.left-corner, /.right-corner, /#squeeze, /#center -->
          
      <?php if ($right): ?>
	  <!-- create idea button -->

        <div class="sidebar" id="sidebar-right">
		  <!-- <?php if (!$left && $search_box): ?><div class="block block-theme"><?php print $search_box ?></div><?php endif; ?> -->
          <?php print $right ?>
        </div>
      <?php endif; ?>

    </div> <!-- /container -->
  </div>
<!-- /layout -->

  <?php print $closure ?>
  </body>
</html>
