<?php

// $Id$

/*
 * @author Adam Westerski 
 * @file ideastream_review.ccknodedef
 * ideastream Module
 */
 
/*
 * New content types definitions (exported with CCK)
 */
function _ideastream_contest_cck_export() {
  // paste code after this line.
	$content['type']  = array (
	  'name' => 'Idea Contest',
	  'type' => 'contest',
	  'description' => 'Idea contests aggregate ideas under a single topic and relate it to an event in time. Idea contests are used to attract attention of users to submit particular ideas related to the desired product/service/process.',
	  'title_label' => 'Idea Contest',
	  'body_label' => 'Contest Description',
	  'min_word_count' => '0',
	  'help' => 'Idea contests aggregate ideas under a single topic and relate it to an event in time. Idea contests are used to attract attention of users to submit particular ideas related to the desired product/service/process.',
	  'node_options' => 
	  array (
	    'status' => true,
	    'promote' => true,
	    'sticky' => false,
	    'revision' => false,
	  ),
	  'old_type' => 'contest',
	  'orig_type' => '',
	  'module' => 'node',
	  'custom' => '1',
	  'modified' => '1',
	  'locked' => '0',
	  'rdf_schema_class' => '',
	  'comment' => '2',
	  'comment_default_mode' => '4',
	  'comment_default_order' => '1',
	  'comment_default_per_page' => '50',
	  'comment_controls' => '3',
	  'comment_anonymous' => '0',
	  'comment_subject_field' => '1',
	  'comment_preview' => '1',
	  'comment_form_location' => '0',
	);  
  //contest node reference field to point related ideas	
	$content['fields']  = array (
	  0 => 
	  array (
	    'label' => 'Collected Ideas',
	    'field_name' => 'field_has_ideas',
	    'type' => 'nodereference',
	    'widget_type' => 'nodereference_autocomplete',
	    'change' => 'Change basic information',
	    'weight' => '31',
	    'autocomplete_match' => 'contains',
	    'size' => '60',
	    'description' => 'Points to ideas that are gathered in the contest',
	    'default_value' => 
	    array (
	      0 => 
	      array (
	        'nid' => NULL,
	        '_error_element' => 'default_value_widget][field_has_ideas][0][nid][nid',
	      ),
	    ),
	    'default_value_php' => '',
	    'default_value_widget' => NULL,
	    'group' => false,
	    'required' => 0,
	    'multiple' => '1',
	    'referenceable_types' => 
	    array (
	      'idea' => 'idea',
	      'contest' => 0,
	      'review' => 0,
	      'page' => 0,
	      'story' => 0,
	    ),
	    'advanced_view' => '--',
	    'advanced_view_args' => '',
	    'op' => 'Save field settings',
	    'module' => 'nodereference',
	    'widget_module' => 'nodereference',
	    'columns' => 
	    array (
	      'nid' => 
	      array (
	        'type' => 'int',
	        'unsigned' => true,
	        'not null' => false,
	        'index' => true,
	      ),
	    ),
	    'display_settings' => 
	    array (
	      'label' => 
	      array (
	        'format' => 'above',
	        'exclude' => 0,
	      ),
	      'teaser' => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      'full' => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      4 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      2 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      3 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	    ),
	  ),
	);
	$content['extra']  = array (
	  'title' => '-5',
	  'body_field' => '0',
	  'revision_information' => '20',
	  'author' => '20',
	  'options' => '25',
	  'comment_settings' => '30',
	  'menu' => '-2',
	  'workflow' => '10',
	);
	
  // paste code before this line.
  return $content;
}

